# PATCH NOTES
## 6.9.4
<details>
  <summary><b>6.9.46</b> - LEVEL REDESIGN & MORE</summary>
<br>

__Dependency Reduction__
```
    - Tweaker by Dex
```

__Weapon Changes__
```
Heavy SMG
    - Renamed to HEL Heavy SMG
    - Swapped Scope
    - Added Overpenetrating Rounds
    - Reduced Damage
    - Decreased Reserve Ammo (200->180)
```

__Boss Tumor Changes__
```
Seeing as 10cc has decided to completely invalidate miniboss enemies, the following changes have been deemed necessary for rundown balancing
    - Tumors no longer allow damage higher than tumor MAXIMUM HP
    - Eg. 200 DMG is reduced to 126 DMG (regular mom)
    - However, damage dealt to tumors are no longer clamped to CURRENT HP
    - Eg. 126 DMG shot on 2 HP tumor = 126 DMG dealt to enemy
```

__A1 - Basis__
```
    - Changed Secondary Zone numbers to 191-192 (previously 171-172) for ease of Terminal-ing
```

__A2 - Elevation__
```
    - Fixed the 2nd Cell in Overload from not spawning (Let me know if it still does this!)
```

__A3 - Contaminant__
```
    - Added WardenIntel pop-ups on activation & completion of the optional power reroute
    - Fixed issue with fog becoming non-infectious for a brief moment during the Class V F
    - Fixed issue with fog momentarily flooding the level after completing the Class V F
    - Buffed the Class III Cluster Alarm in Secondary -> Class IV Cluster
    - Fixed several issues with LevelGen, final zone in Secondary rerolled
    - Updated ProgressionText on SECTOR B Access Gate to explain both Terminal commands
    - Adjusted Extraction Alarm
```

__C[://error]__
```
    - Majority of the level has been completely remade
    - Ft. new/changed voicelines
    - Added a small amount of ammo to the beginning areas
    - Swapped ObjectiveTypes & added many SubProgressions
    - Fixed issue where sounds/voicelines were cutting out for players
```

__C5 - Bypass__
```
    - Swapped Secondary door Key req. to Cell req. bc Keycard spawned in void if the expedition was re-attempted after dying once (why tho)
    - Fixed an issue where an alarm in Overload spawned more enemies than intended 
    - TIMED Alarm no longer punishes successful completions (oopsies)
    - Added slightly more time for Overload
```
</details>

<details>
  <summary><b>6.9.45</b> - PATCH / LEVEL DESIGN CHANGES</summary>
<br>

__Compatibility Check__
```
    - Any events using 'AlertEnemiesInZone' no longer auto-open doors
    - Keep in mind the area will aggro as soon as a door is opened, if not cleared
```

__B5 - Awakening__
```
    - Fixed issue where Terminal command displayed wrong Zone number
```

__C2 - Tether__
```
    - Fixed minor spelling issue
```

__C3 - Overrun__
```
    - Increased enemy density of Secondary Reactor waves
    - Slightly reduced medi supplies in Secondary Reactor
    - Adjusted Flares command in Alpha Three to have a bit more pizazz
```

__C4 - Signal__
```
    - Renamed Class E alarm to match others
```

__C[://error]__
```
    - Renamed Class E alarms to match others
```
</details>

<details>
  <summary><b>6.9.44</b> - PATCH</summary>
<br>

__A2 - Elevation__
```
    - Main/Overload extraction progression now correctly states to go to Z114 instead of Z116
    - Added slightly more time to Secondary reactor code hunts after failing first verify
    - Changed Overload door to be unlockable only through Secondary completion
    - Added a Terminal to each Cell Storage for easier CellHunt
```

__C1 - Shutdown__
```
    - Fixed a mis-positioned scan in Main
    - Moved some events around for QOL reasons
```

__C2 - Tether__
```
    - Fixed enemies from the Class V Distant Cluster spawning behind the alarm door
    - Fixed Uplink Zone not having Tool Refill scavenge packs (oopsies)
    - Fixed Uplinks not spawning Hybrids (double oopsies)
    - Increased Striker/Flyer waves during Uplinks
    - Fixed Quarantine Alarm not starting an error afterward (I forgor)
    - Redid most text-based progression for the level
```

__C3 - Overrun__
```
    - Adjusted Secondary Reactor wave numbers to their correct values (bruh) to prevent super-late spawns
```
</details>

<details>
  <summary><b>6.9.43</b> - PATCH / LEVEL DESIGN CHANGES</summary>
<br>

__Activate Small HSU Tiles__
```
    - Fixed an issue where tiles with an Activate-Small-HSU machine (Depressurizer/DataSphereInject/etc.) would generate with a Neonate HSU pre-installed
    - Yeeted the baby 
```

__Weapon Changes__
```
    - Added desc. change to both Scattergun & Sniper to indicate their R7 status
```

__A2 - Elevation__
```
    - Redesigned the latter half of Main to shorten overall mission length
    - Changed the 2nd wave of the Reactor in Secondary to have a...interesting CodeHunt, which will be used more in the future
    - Consider revisiting Secondary at some point, or be surprised later on...
```

__A3 - Contaminant__
```
    - Redesigned the level in Main to be based around zone altitude rather than THE FOG IS COMING PREPAREEEEEEEEEE
    - Slightly reduced spitter values in all zones
    - Edited the LogFile regarding Alarm Types inside of the Terminal immediately in front of the elevator
```

__B1 - Triangulation__
```
    - Added a timer to the Class III R Alarm
```

__B2 - Cryptography__
```
    - Fixed an issue where the Elevation scan in Main was 10x speed if 4 players were in the scan
    - Renamed the alarm on Z126 to 'Class VI Security Elevation Sequence' from 'Class VI Evolving Alarm'
    - Fixed an issue where enemy spawns for the Main objective were 1 room away instead of 2
```

__B3 - Identity__
```
    - Fixed an issue where the Class IV Distant Alarm had bugged enemy spawns
    - Adjusted the positioning of the generators inside the Main hub zone
    - Reduced the amount of resources in all zones across Secondary
    - Added additional enemies to Extraction Alarm if Secondary is completed
```

__B5 - Awakening__
```
    - Powergrid instability worsened
    - Slighty changed final door unlock method in Secondary to prevent checkpoint-related issues
    - Fixed an issue where Containment Unit 1's auto-wake enemies were using the wrong AreaIndex
```

__C2 - Tether__
```
    - Fixed level softlock where 2 Terminals related to the Main Objective willed themselves out of existence
```

__C[://error]__
```
    - Slightly increased duration in-between Extract Wave spawns
    - Slightly reduced enemy distribution inside of Z287
```

__C5 - Bypass__
```
    - Renamed the Class E alarm to similarly match B2's
```
</details>

<details>
  <summary><b>6.9.42</b> - PATCH</summary>
<br>

__Rundown Balance__
```
    - Reduced Infested Striker melee range to better match the model
    - Slightly increased Giant Charger speed to fix running animation (Will be reverted if too much)
```

__Rundown Progression Overhaul__
```
    - A1, B1, C1 are now available to play on launch. The final levels of the previous tier still must be completed to unlock the next level
    - Added text to indicate these changes above each first expedition upon completion (removed where irrelevant)
```

__Terminal Uplinks__
```
    - Fixed an issue where starting an Uplink would cause the initial verification to loop
    - Fixed an issue where the second verification onward would automatically fail & incur a timer on the player
```

__Heavy SMG__
```
   - Increased ammo capacity
   - Increased damage
```

__C2 - Tether__
```
    - Fixed a bug in Main where more giant enemies would spawn than intended during certain Terminal Uplinks
```

__C4 - Signal__
```
    - Fixed a Blood Door in Main that was spawning less enemies than expected
    - Fixed an issue with duplicate/overlapping sounds on a certain alarm in Overload
    - Overload Objective now functions properly
```

__C[://error]__
```
    - Removed outdated voiceline
    - Adjusted Terminal spawn in a certain zone
    - Adjusted certain alarm waves/values
    - Adjusted scan length for a certain alarm in Main
```

__C5 - Bypass__
```
    - Fixed an issue with a Terminal Command being unintentionally accessible
```
</details>

<details>
  <summary><b>6.9.41</b> - HOTFIX</summary>
<br>

__A1 - Elevation__
```
    - Fixed invalid ID on Logfile in Elevator Zone
```

__A3 - Contaminant__
```
    - Fixed invalid ID on Logfile in Elevator Zone & Zone 60
```

__C3 - Overrun__
```
    - Fixed invalid ID on Logfile in Secondary/Overload
```
</details>

<details>
  <summary><b>6.9.40</b> - C-TIER FINALE</summary>
<br>

__New Levels Released!__
```
The remainder of C-tier has arrived. Dare you venture downward into the depths..?

    - Now available: C4 - Signal
    - Now available: C5 - Bypass
    - Now available: [://ERROR]
```

__New Dependencies!__
```
    - PartialData by Flowaria
    - AWO_PartialData_Hotfix by hirnukuono
    - LGTuner_Dimension_Hotfix by hirnukuono
    - AWO_Countdown_Hotfix by hirnukuono
    - WardenIntelOhBehave by hirnukuono
```

__A1 - Elevation__
```
    - Renamed a couple of zones
```

__A2 - Elevation__
```
    - Swapped the Chargers in the Reactor for a more tier-appropriate alternative
    - Renamed a couple of zones
```

__A3 - Contaminant__
```
    - Fixed an issue where you could accidentally (or purposefully) re-infect the entire level
    - Changed the Objective Zone in Main
```

__B2 - Cryptography__
```
    - Renamed a couple of zones
```

__B3 - Identity__
```
    - Renamed a couple of zones
```

__B4 - Twilight__
```
    - Renamed a certain zone in Secondary
```

__B5 - Awakening__
```
    - Renamed a couple of zones
    - Swapped 2 Terminal locations in Main to make them more visible
    - Added Progression popup in Secondary to prevent possible checkpoint "softlock"
    - Changed how the waves in Overload function (overall same difficulty)
```

__C1 - Shutdown__
```
    - Removed ability to cheese Error shutoff in Secondary
```

__C2 - Tether__
```
    - Now with 100% less Matter Wave Projection
```

__C3 - Overrun__
```
    - Added slightly more resources to Main following Objective Completion
    - Fixed issue in Secondary where waves were 1/2 sized & sometimes mega-delayed
    - Incorrect Overload Completion no longer forcibly skips a certain Alarm
    - Incorrect Overload Completion Alarm now re-activates properly on Main completion
    - Workshopped many text-based events
```
</details>

## 6.9.3
<details>
  <summary><b>6.9.37</b> - HOTFIX</summary>
<br>

__C3 - Overrun__
```
    - Fixed softlock if you decided to not do a Prisoner Efficiency Run (oops)
    - Removed FogShift events if Reactor is completed before beginning Overload
```
</details>

<details>
  <summary><b>6.9.36</b> - DEPENDENCY ADDITION</summary>
<br>

__New Dependencies__
```
    - SecDoorTerminalInterface by GTFOModding
    - EOSExt_SecDoorTerminal by Inas07
    - EOSExt_Reactor by Inas07
```

__A3 - Contaminant__
```
    - Upgraded Sector B Entrance Gate
```

__B2 - Cryptography__
```
    - Fixed duplicating Cargo Crates
    - Updated WardenObjective text
```

__B5 - Awakening__
```
    - Fixed duplicating Neonates
    - Updated WardenObjective text
    - Upgraded Sector C Entrance Gate
```

__C1 - Shutdown__
```
    - Shadow Error no longer restarts on Secondary completion
    - Significantly increased Flyer error to compensate
```

__C2 - Tether__
```
    - Moved Checkpoint from the Warp Gate to the previous zone
```

__C3 - Overrun__
```
    - Small nerf to a certain enemy wave in Overload
    - Overload progression will no longer cause ceiling scans
    - Increased ScanSize of 2 certain scans to hopefully prevent sadness when playing with BOTS
    - Changed the Team Scan on Overload to be a Class I F (remains non-alarmed)
    - Added more hibernating enemies to Overload
    - Added a Scout somewhere in Secondary
```
</details>

<details>
  <summary><b>6.9.35</b> - PATCH</summary>
<br>

__B2 - Cryptography__
```
    - Added slightly more Ammo to the level
```

__C1 - Shutdown__
```
    - Fixed potential Progression issue if CellDoor is not interacted with before insertion
```

__C3 - Overrun__
```
    - Extraction Scan speed is no longer pointlessly slow
    - Adjusted Enemy Spawning
    - Fixed several WardenIntel messages that were incorrectly formatted
    - Fixed Progression popup not popping up
```
</details>

<details>
  <summary><b>6.9.34</b> - HOTFIX</summary>
<br>

__C1 - Shutdown__
```
    - Repositioned the checkpoint due to Vanilla bug issues
```
</details>

<details>
  <summary><b>6.9.33</b> - PATCH</summary>
<br>

__Scan Adjustments__
```
Class U
    - Changed to be Classification 'E'
    - Updated the log file in A3 - Contamination to match the change
```

__B2 - Cryptography__
```
    - Changed the Class V M U to a Class VI E
```

__B3 - Identity__
```
    - Added ProgressionText on the entry to Z137 to provide better guidance
```

__C3 - Overrun__
```
    - Slightly adjusted how the Fog shifts during Overload
```
</details>

<details>
  <summary><b>6.9.32</b> - HOTFIX</summary>
<br>

__C1 - Shutdown__
```
    - Slightly nerfed the Class VI
    - Edited DoorText on Z385 SecDoor to better match Objective Progression
```
</details>

<details>
  <summary><b>6.9.31</b> - HOTFIX</summary>
<br>

__C1 - Shutdown__
```
    - Hotfix for potential softlock in Main
    - Fixed mismatch of ObjectiveText in Secondary
```
</details>

<details>
  <summary><b>6.9.3</b> - C-TIER DEBUT</summary>
<br>

__New Levels Released!__
```
C-tier has finally made its debut!
    - Now available: C1 - Shutdown
    - Now available: C2 - Tether
    - Now available: C3 - Overrun
    - (C4-C6 are WIP and will be released at a later date)
```
__Weapon Changes__
```
Heavy SMG
    - Nerfed Ammo Capacity (40+200 -> 40+160)
    - Nerfed Rate of Fire (0.078 -> 0.105)
```
__B2 - Cryptography__
```
    - Fixed a missing Progression popup
```
__B3 - Identity__
```
    - Removed 2 unnecessary scans from security doors
    - Increased difficulty of extract waves
    - Increased difficulty of blood door to better match the Class III alternative
    - Also added a Cell req. to the above to ensure only 1 door may be chosen
```
</details>

## 6.9.2
<details>
  <summary><b>6.9.2</b> - PATCH</summary>
<br>

__A3 - Contaminant__
```
    - Workshopped some Warden Intel/Progression
    - Added slightly more resources to Zone 61
```
__B1 - Triangulation__
```
    - Workshopped some Warden Intel/Progression
    - Added slightly more resources across the filler zones between Uplinks
    - Fixed Events misfiring on the Class II R Alarm
```
__B3 - Identity__
```
    - Changed the Class IV Cluster to a Class IV Distant on the door to Zone 184
```
</details>

## 6.9.1
<details>
  <summary><b>6.9.1</b> - PATCH</summary>
<br>

__Scan Adjustments__
```
    - Modifier 'F' scans with full team requirements now actually require all team members to be present
    - Class 'R' scans now have distinct colors/text
```
__A1 - Basis__
```
    - Workshopped some Warden Intel
```
__A2 - Elevation__
```
    - Adjusted Fog visibility in Secondary
    - Adjusted Fog infection rate in Secondary
    - Slightly more resources in Secondary objective zone
    - Removed/Adjusted text for certain doors/Warden Intel
```
__A3 - Contaminant__
```
    - Rewrote the intel provided for Class 'R' scans on the log file
```
</details>

## 6.9.0
<details>
  <summary><b>6.9.0</b> - RELEASE</summary>
<br>

```
    - Rundown release!
```
</details>